<?php
/* Greenscala - a theme for PHP-Fusion v7. Theme author: Noyoshi.dk based on Greyscala from YAFS.net
Released as free software without waranties under the Affero GPLv3, see http://www.fsf.org/licensing/licenses/agpl-3.0.html */
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "");

$enable_column_switcher = true; //true=enable column switcher | false=disable column switcher

require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

$column_switcher = new Switcher("select", "columns", "png", "both", "switcherbutton");
if(!$enable_column_switcher){
	$column_switcher->disable();
}

function get_head_tags(){
	global $column_switcher;
  echo $column_switcher->makeHeadTag();
  echo "<!--[if gte IE 6]><style>#white-border{ clear:both; height:5px; line-height:5px; background-color:#827116; border:1px solid #222 ;margin-bottom:-2px;}</style><![endif]-->";
}

function render_page($license=false) {
	
global $locale, $settings ,$userdata, $aidlink, $column_switcher, $main_style;
  
echo "
<table align='center' cellspacing='0' cellpadding='0' id='page-body' style='$main_style'>\n<tr>\n<td>\n"; 
  echo "<div class='whiteheader'>
  	     ".preg_replace("^(li)( class='(first-link)')*(><a href='(\.\./)*".preg_quote(START_PAGE)."')^i", "\\1 class='active \\3'\\4", showsublinks(""))."";  
    echo "</div>\n";
    
    echo "<div id='user-buttons'>".$column_switcher->makeForm("flleft")."&nbsp;";
          if (iMEMBER){
            $msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
            if ($msg_count) { echo "<a href='".BASEDIR."messages.php'><img class='user-img' src='".THEME."images/pm_unread.jpg' alt='' title='".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."' /></a>";
            } else {
            echo "<a href='".BASEDIR."messages.php'><img class='user-img' src='".THEME."images/pm.jpg' alt='' title='".$locale['global_121']."' /></a>";
            }
            echo " <a href='".BASEDIR."login.php'><img class='user-img' src='".THEME."images/login.jpg' alt='' title='".$userdata['user_name']."' /></a>";
            if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
	          echo "<a href='".ADMIN."index.php".$aidlink."'><img class='user-img' src='".THEME."images/admin.jpg' alt='".$locale['global_123']."' title='".$locale['global_123']."' /></a>";
	          }
            echo " <a href='".BASEDIR."setuser.php?logout=yes'><img class='user-img' src='".THEME."images/logout.jpg' alt='".$locale['global_124']."' title='".$locale['global_124']."' /></a>";
         
  }else{
            echo " <a href='".BASEDIR."login.php'><img class='user-img' src='".THEME."images/login.jpg' alt='' title='".$locale['global_104']."' /></a>";
            
}

  echo "</div>\n";
  echo "<div id='white-border'>&nbsp;</div>\n";
  echo "<table id='header' style='margin-top:0;' cellpadding='0' cellspacing='0' width='100%'><tr>\n<td><center>".showbanners()."</center></td>\n</tr>\n</table>\n";
  
  echo "<table cellpadding='0' cellspacing='0' class='clear' width='100%'>\n";  
  echo "<tr>\n";
  
  if (LEFT) { echo "<td id='side-border-left' valign='top'>".LEFT."</td>\n"; }
  echo "<td id='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";  
  if (RIGHT) { echo "<td id='side-border-right' valign='top'>".RIGHT."</td>\n"; }
  echo "</tr>\n";
  echo "</table>";
	
  echo "<div id='footer'>".stripslashes($settings['footer'])."<br />\n<br />\n"; 
  echo "<div id='microtime'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</div>\n<div id='counter'>".showcounter()."</div>\n";  
  echo "</div>\n";
echo "
</td></tr>\n</table>\n";

  echo "<div id='copyright'>\n";	
	if (!$license) { echo "Powered by <a href='http://www.php-fusion.co.uk' class='copyright'>PHP-Fusion</a> copyright &copy; 2002 - ".date("Y")." by Nick Jones. Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html' class='copyright'>GNU Affero GPL</a> v3.";
	echo "&nbsp;|&nbsp;Theme: <a href='http://noyoshi.dk' target='_blank' class='copyright'>Greenscala</a> based on: <a href='http://yafs.net' target='_blank' class='copyright'>Greyscala</a>"; }
	echo "<br />\n</div>\n"; 

}

function render_news($subject, $news, $info) {

    echo" <div class='news-capmain'>$subject</div>\n";
    echo" <div class='news-body'>$news";
    echo" <p class='news-footer'>".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</p>\n";
	  echo" </div>\n
          <div class='news-border'>&nbsp;</div>\n";
    echo "<div style='height:5px;'></div>\n";
}

function render_article($subject, $article, $info) {
	
    echo" <div class='art-capmain'>$subject</div>\n
          <div class='main-body'>\n
          <div class='art-body'>\n";
    echo ($info['article_breaks'] == "y" ? nl2br($article) : $article);
    echo "</div>\n";
    echo" <p class='art-footer' style='text-align:left'>".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."</p>\n";
    echo" </div>\n     
      <div class='art-border'>&nbsp;</div>\n";
}

function opentable($title) {
  global $p_data;
  
    if (file_exists(THEME."images/title/".$p_data['panel_filename'].".png")) {
    $title = "<img class='p-img' src='".THEME."images/title/".$p_data['panel_filename'].".png' alt='' />$title";
    } else {
    $title = "$title";
    }

    echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n
          <td class='capmain'>$title</td>
        </tr>\n<tr>\n
          <td class='main-body'>\n";

}

function closetable() {

    echo "</td></tr>\n</table>\n";
    echo "<div class='art-border'>&nbsp;</div>\n";
    echo "<div style='height:5px;'></div>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $p_data, $panel_collapse; $panel_collapse = $collapse;
    
    if ($collapse == false) {
    if (file_exists(THEME."images/title/".$p_data['panel_filename'].".png")) {
    $title= "<img class='p-img' src='".THEME."images/title/".$p_data['panel_filename'].".png' alt='' />$title";
      } else {
    $title = "<img class='p-img' src='".THEME."images/title/default.png' alt='' />$title";
      }
    } else {
    $title = "$title";
    }
	echo "<table cellspacing='0' cellpadding='0' width='100%'>";
	if($p_data['panel_filename'] == "css_navigation_panel" && $p_data['panel_side'] == 1) {
	$title = "";
  $panel_collapse = false;
  echo "<tr>\n<td width='100%'>";
  }
	else {
  if ($p_data['panel_side'] == 4) {
  echo "<tr>\n<td class='scapmain-rl'></td><td class='scapmain-r-bg'>";  
  if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<span class='p-state'>".panelbutton($state, $boxname)."</span>\n";
  	}
  
  echo $title."</td><td align='right' class='scapmain-rr'>";
  
  } else { 
  echo "<tr>\n<td class='scapmain' height='20' width='100%'>";
  if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<span class='p-state'>".panelbutton($state, $boxname)."</span>\n";
  	}
  
  echo "$title";
  
  }  
  if ($p_data['panel_side'] == 4) {
  echo "</td></tr>\n<tr>\n<td width='100%' colspan='2' class='side-body-l'>";
  } else {
  echo "</td></tr>\n<tr>\n<td class='side-body' width='100%'>";
	}
	if ($collapse == true) { echo panelstate($state, $boxname); }
  }
}

function closeside() {

  global $p_data, $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	

	if ($p_data['panel_side'] == 4) {
  echo "</td><td class='side-body-r'></td></tr><tr><td class='side-foot-l'></td><td class='side-foot-bg'></td><td align='right' class='side-foot-r'></td>\n</tr>\n</table>\n";
  } else {
  echo "</td>\n</tr>\n</table>\n";
  }
}
?>